package com.dgtly.common.core.domain;
/**
 * 状态类型枚举类，全局返回值可以再这里定义
 */
public enum ResultType {
    /** 成功 */
    SUCCESS(0,"成功")

    ,LOGINNAMEREPEAT(301,"登录名重复")
    ,PHONEREPEAT(302,"电话号码重复")
    ,PASSWORDERROR(303,"账号或密码错误")
    ,VERIFICATIONERROR(304,"验证码错误")
    ,PASSWORD_LENGTH_ERROR(305,"密码长度为6~19位")





    /** 查询结果为空错误 */
    ,LESSPARAM(402,"缺少请求参数")
    /** 查询结果为空错误 */
    ,NUll(404,"查询结果为空")
    /** 错误 */
    ,ERROR(500,"系统内部错误")
    /** 重复提交错误*/
    ,ERROR501(501,"不能重复提交，请稍后再试")
    /** 验签错误 */
    ,ERRORSIGN(502,"缺少验签参数")
    /** 请求接口超时错误 */
    ,TIMEOUT(503,"接口请求超时")
    /** 查询结果为空错误 */
    ,SIGNERROR(504,"验签错误")
    /** 暂不支持此种请求方式 */
    ,FORBIDMETHOD(505,"暂不支持此种请求方式")
    /** 缺少token */
    ,NOLOGIN(506,"未登录")
    /** 缺少token */
    ,TOKENTIMEOUT(507,"token超时")
    ;





    private final int value;
    private final String msg;

    ResultType(int value,String msg)
    {
        this.value = value;
        this.msg = msg;
    }

    public int value()
    {
        return this.value;
    }
    public String msg()
    {
        return this.msg;
    }



}
